'use strict';

const emitter = require('./emitter');

function Provider (options, callback) {
  if (arguments.length === 1 && typeof options === 'function') {
    callback = options;
    options = {};
  }

  return function (event, context, callback) {
    console.log('Received query');
    console.log(event);
    options = Object.assign({
      name: context.functionName
    }, options);
    callback(event, emitter(options, event, callback));
  };
}

module.exports = Provider;
